{% assign total_pages = paginator.total_pages %}

<nav role="navigation">
  {% if total_pages > 1 %}

    {% capture spaceless %}
      {% assign page_current = paginator.page %}
      {% assign links = paginator
                      | pagination_links: site.baseurl
                                        , page.paginate_root
                                        , site.pagination.permalink
      %}
    {% endcapture %}

    <!-- First Page. -->
    {% unless paginator.page == 1 %}
      [ <a href="{{ links.first }}">First</a> ]
    {% else %}
      [ First ]
    {% endunless %}

    <!-- Previous Page. -->
    {% if paginator.previous_page %}
      [ <a href="{{ links.prev }}">Previous</a> ]
    {% else %}
      [ Previous ]
    {% endif %}

    <!-- Page numbers. -->
    {% for page_cursor in (1..total_pages) %}
      {% if page_cursor == page_current %}
        [ {{ page_cursor }} ]
      {% else %}
        [ <a href="{{ links.pages[page_cursor] }}">{{ page_cursor }}</a> ]
       {% endif %}
    {% endfor %}

    <!-- Next Page. -->
    {% if paginator.next_page %}
      [ <a href="{{ links.next }}">Next</a> ]
    {% else %}
      [ Next ]
    {% endif %}

    <!-- Last Page. -->
    {% unless paginator.page == total_pages %}
      [ <a href="{{ links.last }}">Last</a> ]
    {% else %}
      [ Last ]
    {% endunless %}

  {% endif %}
</nav>

